var title = "Calories";
var limit = 2500;
var unit = "kcal";
var current = 0;

function setup() {
  if (window.widget) {
    widgetSetup();
    translatorSetup();
    readPrefs();
    widget.onremove = clearPrefs;
    widget.onshow = onshow;
    widget.onhide = onhide;
    if (widget.context) {
      //document.getElementById("Widgetop").style.display = "none";
    }
  }
}

function readPrefs() {
  if (window.widget) {
    var value = widget.preferenceForKey(widget.identifier + "-source");
    if (value) {
      $("SourceLanguage").value = value;
    }
    var value = widget.preferenceForKey(widget.identifier + "-sink");
    if (value) {
      $("SinkLanguage").value = value;
    }
  }
}

function clearPrefs() {
  widget.setPreferenceForKey(null, widget.identifier + "-source");
  widget.setPreferenceForKey(null, widget.identifier + "-sink");
}

function onshow() {
}

function onhide() {
}

function widgetSetup() {
  if (window.widget) {
  	var gDoneButton = new AppleGlassButton(document.getElementById("DoneButton"), 
  	                                      "Done", hideBack); 
	  var gInfoButton = new AppleInfoButton(document.getElementById("InfoButton"), 
	                                        document.getElementById("front"), 
	                                        "white", "black", showBack);    
  }
}

function showBack() {
    var front = document.getElementById("front");
    var back = document.getElementById("back");
 
    if(window.widget)
        widget.prepareForTransition("ToBack");
 
    front.style.display="none";
    back.style.display="block";
 
    if (window.widget)
        setTimeout ('widget.performTransition();', 0);  
}

function hideBack() {
    var front = document.getElementById("front");
    var back = document.getElementById("back");
 
    if (window.widget)
        widget.prepareForTransition("ToFront");
 
    back.style.display="none";
    front.style.display="block";
 
    if (window.widget)
        setTimeout ('widget.performTransition();', 0);
}

function $(id) {
  return document.getElementById(id);
}

if (top.myBrowser && top.myBrowser.needsXMLHttpRequestVariable) {var XMLHttpRequest;}